.field--name-field-detalle-color,
.hide-desktop {
  display: none;
}

.detalle-container1,
.detalle-container2 {
  position: relative;
}

.field--name-field-detalle-imagen {
  width: 100%;
}

.field--name-field-detalle-imagen img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.field--name-field-detalle-imagen-mobile {
  display: none;
}

.estrella1-sup,
.estrella2-sup,
.estrella3-sup,
.estrella4-sup,
.estrella1-inf,
.estrella2-inf,
.estrella3-inf {
  position: absolute;
  z-index: 1;
}

.estrella1-sup {
  left: 85px;
  top: 20%;
}

.estrella2-sup {
  right: 470px;
  bottom: 126px;
}

.estrella3-sup {
  right: 85px;
  top: 180px;
}

.estrella4-sup {
  right: 0;
  bottom: 0;
  max-width: 335px;
  width: 23%;
  height: fit-content;
}

.detalle-container2 {
  padding-bottom: 55px;
}

.detail-title {
  position: relative;
  bottom: 225px;
  padding-bottom: 50px;
  margin-left: 120px;
  max-width: 790px;
  display: flex;
  height: 225px;
  align-items: flex-end;
  color: #F6F4E6;
  font-size: 200px;
  font-family: "Barlow Condensed", sans-serif;
  font-style: normal;
  font-weight: 700;
  line-height: 160px;
  letter-spacing: -4px;
  z-index: 1;
}

.node--type-detalle-collarines .field--name-body {
  position: relative;
  margin: auto;
  margin-top: -225px;
  width: 55%;
  padding-top: 90px;
  padding-bottom: 30px;
  color: #FFF;
  text-align: center;
  font-size: 27px;
  font-family: "Barlow Condensed", sans-serif;
  font-style: normal;
  font-weight: 500;
  line-height: 32px;
  letter-spacing: -0.54px;
}

.estrella1-inf {
  position: absolute;
  top: 20%;
  left: 0;
  max-width: 225px;
  width: 14%;
  height: fit-content;
  max-height: 450px;
}

.estrella2-inf {
  position: absolute;
  top: 0;
  right: 0;
  max-width: 335px;
  width: 23%;
  height: fit-content;
}

.estrella3-inf {
  position: absolute;
  bottom: 90px;
  right: 5%;
}

.field--name-field-detalle-enlace {
  display: inline-block;
  width: 100%;
  text-align: center;
  margin: auto;
  margin-bottom: 55px;
  margin-left: 10px;
}

.field--name-field-detalle-enlace .field__item {
  margin-right: 30px;
  display: inline-block;
  min-height: 40px;
}

.field--name-field-detalle-enlace .field__item a {
  color: inherit;
  background-color: #F6F4E6;
  border: 1px solid #F6F4E6;
  padding: 10px 40px;
  text-align: center;
  font-size: 20px;
  font-family: "Barlow Condensed", sans-serif;
  font-style: normal;
  font-weight: 600;
  line-height: 27px;
  letter-spacing: -0.4px;
  border-radius: 60px;
}

.field--name-field-detalle-enlace .field__item a:hover {
  background-color: transparent;
  color: #F6F4E6;
}

/* Version Tablet / intermedia */
@media(max-width: 1024px) {
  .detail-title {
    font-size: 120px;
    line-height: 100px;
    max-width: 500px;
  }

  .estrella1-sup {
    top: 60px;
    width: 40px;
    height: fit-content;
  }

  .estrella2-sup {
    bottom: 100px;
    right: 23%;
  }

  .estrella3-sup {
    top: 10px;
    right: 10px;
    width: 120px;
    height: fit-content;
  }

  .estrella3-inf {
    bottom: 60px;
    right: 20px;
  }
}

/* Version Mobile */
@media(max-width: 768px) {
  .hide-mobile {
    display: none;
  }

  .field--name-field-detalle-imagen img {
    display: none;
  }

  .field--name-field-detalle-imagen-mobile {
    display: block;
    position: relative;
    z-index: 0;
  }

  .field--name-field-detalle-imagen-mobile img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  .estrella1-sup {
    width: 35px;
    height: fit-content;
    left: 106px;
    top: 80px;
  }

  .estrella2-sup {
    width: 37px;
    height: fit-content;
    right: 35px;
    top: 289px;
  }

  .estrella3-sup {
    width: 76px;
    height: fit-content;
    left: 38px;
    bottom: 73px;
    top: initial;
  }

  .estrella4-sup {
    width: 125px;
    height: fit-content;
  }

  .detalle-container2 {
    padding-bottom: 1px;
  }

  .node--type-detalle-collarines .field--name-body {
    margin: 35px 30px 0 30px;
    width: calc(100% - 60px);
    padding: 0;
    padding-bottom: 25px;
    font-size: 20px;
    line-height: 22px;
    letter-spacing: -0.4px;
  }

  .estrella2-inf {
    width: 125px;
    height: fit-content;
  }

  .estrella1-inf,
  .estrella3-inf {
    display: none;
  }

  .field--name-field-detalle-enlace .field__item {
    margin-right: 15px;
  }

  .field--name-field-detalle-enlace .field__item a {
    padding: 5px 30px;
  }
}

/* NEW STYLES FOR 2025 PROMO */
.node--type-detalle-collarines {

  background-color: attr(data-color);

  .detalle-container2 .field--name-body {
    color: #003B18;
  }

  .detalle-container2 .field--name-field-detalle-enlace .field__item a {
    background-color: #E06A9B;
    border-color: #E06A9B;
  }

  .detail-title {
    font-family: "TT Trailers Trial Extrabold", sans-serif;
    font-weight: normal;
  }

  /* MOBILE */
  @media screen and (max-width: 768px) {

    .detalle-container1,
    .detalle-container1 .field--name-field-detalle-imagen-mobile img {
      min-height: 40.75rem;
    }

    .detail-title {
      position: absolute;
      height: fit-content;
      left: 50%;
      transform: translateX(-50%);
      bottom: 0;
      text-align: center;
      width: fit-content;
      max-width: 90%;
      letter-spacing: 0.02rem;
      font-size: 4.8rem;
      line-height: 0.8;
      margin: 0;
      padding-bottom: 40px;
    }

    .detalle-container2 {
      svg {
        display: none;
      }
    }
  }
  @media (min-width: 450px) and (max-width: 768px) {
    .detail-title {
      font-size: 7rem;
    }
  }

  /* TABLET */
  @media (min-width: 769px) {

    .detalle-container1,
    .detalle-container1 .field--name-field-detalle-imagen img {
      min-height: 47rem;
      max-height: 55rem;
    }

    .detail-title {
      position: relative;
    }

    .detalle-container2 {
      svg {
        display: block;
        position: absolute;

        &:first-child {
          left: 5rem;
          top: 4rem;
          max-height: 10.126rem;
          max-width: 8.204rem;
        }

        &:nth-child(2) {
          left: 5rem;
          top: 13rem;
          max-height: 15.032rem;
          max-width: 7.732rem;
        }

        &:nth-child(3) {
          right: 1rem;
          top: 50%;
          transform: translateY(-50%);
          max-height: 32.207rem;
          max-width: 12.986rem;
        }
      }

      .field--name-body {
        padding-top: 4rem;
        margin-top: 0;
      }

      .field--name-field-detalle-enlace {
        display: block;
        width: fit-content;
        margin: 0 auto;
        margin-left: auto;
        margin-bottom: 0;
      }
    }
  }

  /* DESKTOP */
  @media (min-width: 1024px) {
    .detalle-container2 {
      min-height: 47rem;

      svg {

        &:first-child {
          left: 5%;
          top: 4rem;
          min-height: 13.126rem;
          min-width: 9.204rem;
          max-height: unset;
          max-width: unset;
        }

        &:nth-child(2) {
          left: 8%;
          top: 20rem;
          min-height: 17.032rem;
          min-width: 8.732rem;
          max-height: unset;
          max-width: unset;
        }

        &:nth-child(3) {
          right: 5%;
          top: 50%;
          transform: translateY(-50%);
          min-height: 33.207rem;
          min-width: 14.986rem;
          max-height: unset;
          max-width: unset;
        }
      }

      .field--name-body {
        max-width: 49.375rem;
      }
    }
  }
}